import {Component, OnInit} from '@angular/core';
import {FormBuilder, FormGroup, Validators} from '@angular/forms';

@Component({
    selector: 'smart-media-type',
    templateUrl: './media-type.component.html',
    styles: []
})
export class MediaTypeComponent implements OnInit {

    isVisible = false;
    title;
    validateForm:FormGroup;

    constructor(private fb:FormBuilder) {
    }

    ngOnInit() {
        this.initForm();
    }

    initForm(){
        this.validateForm = this.fb.group({
            name:[null,[Validators.required]],
            description:[null]
        })
    }

    //新增
    showAddModal(title) {
        this.title = title;
        this.isVisible = true;
    }

    //编辑
    showEditModal(item,title) {
        this.title = title;
        this.isVisible = true;
    }

    handleCancel() {
        this.isVisible = false;
    }

    handleOk() {
        this.isVisible = false;
    }

}
